Subject: Re: bug#35300: 27.0.50; emacsclient on remote sessions no longer works

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2019 18:07:13 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Apr 2019 16:30:39 +0200
> 
> >> Some time ago I disabled PAM on my sshd_config, because it was not use
> >> for me and it adds complexity to the log-in procedure. Everything worked
> >> fine for years, emacsclient included, until just a few days ago that I
> >> started using Emacs 27 for testing one of the new features.
> >
> > So you didn't have XDG_RUNTIME_DIR set?  In that case, I feel I
> > understand the issue even less, because when XDG_RUNTIME_DIR is not
> > defined, emacsclient is supposed to fall back to the old behavior...
> 
> IIUC, the Emacs server creates the local socket under the directory
> pointed by XDG_RUNTIME_DIR. When emacsclient starts, if XDG_RUNTIME_DIR
> is not set it simply does not know where to find the socket.

So you are saying that XDG_RUNTIME_DIR did exist when the server was
started, but ceased to exist by the time emacsclient was started?

> > (If my questions bother you, feel free to tell, and I will stop.)
> 
> Not at all, I'm glad to help you as much as I can.

Thanks.